/// <reference types="node" />
import * as stream from "stream";
export interface Engine {
    close(): void;
    process(input: Buffer | undefined, output: Buffer, flags?: number): number;
}
export declare const ENCODE_FINISH: any;
export interface XzTransformOptions extends stream.TransformOptions {
    preset?: number;
    bufferSize?: number;
}
declare class XzStream extends stream.Transform {
    engine: Engine;
    buffer: Buffer;
    constructor(mode?: number, options?: XzTransformOptions);
    _transform(chunk: Buffer | string, encoding: string | undefined, callback: stream.TransformCallback): void;
    _flush(callback: stream.TransformCallback): void;
    process(input: Buffer | undefined, flags?: number): Buffer;
}
export declare class Compressor extends XzStream {
    constructor(options?: XzTransformOptions);
}
export declare class Decompressor extends XzStream {
    constructor(options?: XzTransformOptions);
}
export declare function compressRaw(preset?: number): Engine;
export declare function decompressRaw(): Engine;
export {};
